Subject: Re: [Curdle] [saag] Time for SSH3?

From: Peter Gutmann <[email-masked]>
Date: Thu, 21 Dec 2023 01:36:23 +0000

Dmitry Belyavsky <[email-masked]> writes:

>Well, TLS 1.3 had to be redesigned to mimic TLS 1.2 and got 50% sites
>supporting it only in November 2021 despite all the advantages.

That's *web* sites, not sites in general.  For non-web use, it's going to take
years, up to 1-2 decades, to switch fully to TLS 1.3.

With SSH it's even worse, it's pretty much the universal access mechanism for
anything and everything that needs CLI access, and those devices often run
until the hardware fails, with hardware that's designed not to fail much in
the first place.  I've still got bug-workarounds for 20-year-old SSH bugs in
my code because systems are still running that, the last thing you want to do
is throw a completely new incompatible protocol into that situation.

As I pointed out previously, a large majority of these devices are immune to
this attack because they never implemented the @openssh.com homebrew
mechanisms in the first place, so there isn't even anything to fix there.

Peter.